Package org.bukkit.plugin

# Class InvalidPluginException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.bukkit.plugin.InvalidPluginException

All Implemented Interfaces:
  `Serializable`

public class InvalidPluginException extends Exception
Thrown when attempting to load an invalid Plugin file

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidPluginException()`
Constructs a new InvalidPluginException
`InvalidPluginException(String message)`
Constructs a new InvalidPluginException with the specified detail message
`InvalidPluginException(String message, Throwable cause)`
Constructs a new InvalidPluginException with the specified detail message and cause.
`InvalidPluginException(Throwable cause)`
Constructs a new InvalidPluginException based on the given Exception

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidPluginException

public InvalidPluginException(Throwable cause)
Constructs a new InvalidPluginException based on the given Exception

Parameters:
  `cause` - Exception that triggered this Exception

### InvalidPluginException

public InvalidPluginException()
Constructs a new InvalidPluginException

### InvalidPluginException

public InvalidPluginException(String message, Throwable cause)
Constructs a new InvalidPluginException with the specified detail message and cause.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the getMessage() method).
  `cause` - the cause (which is saved for later retrieval by the getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

### InvalidPluginException

public InvalidPluginException(String message)
Constructs a new InvalidPluginException with the specified detail message

Parameters:
  `message` - TThe detail message is saved for later retrieval by the getMessage() method.